package com.startbot.controller;


import com.startbot.entity.dto.ReqDTO;
import com.startbot.service.PrivateMessageService;
import lombok.RequiredArgsConstructor;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class StarBotController {
    private static final Logger logger = LoggerFactory.getLogger(StarBotController.class);
    private final PrivateMessageService privateMessageService;

    public StarBotController(PrivateMessageService privateMessageService) {
        this.privateMessageService = privateMessageService;
    }

    @PostMapping("/")
    public void demo1(@RequestBody ReqDTO req) {
        switch (req.getEvent()) {
            //私聊消息事件
            case "10002":
                privateMessageService.getMessage(req);
        }
    }
}
